- NAME
- SYNOPSIS
- DESCRIPTION
- USAGE
- COMMANDS
  - list
  - create NAME [--comment] [--group GNAME] [--user NAME-OR-EMAIL]
  - add NAME [--group GNAME] [--user NAME-OR-EMAIL]
  - delete NAME
  - switch NAME
  - rename NAME --newname NEWNAME
  - NOTES
- AUTHOR
- SEE ALSO

# NAME

rt-email-group-admin - Command line tool for administrating NotifyGroup actions

# SYNOPSIS

        rt-email-group-admin --list
        rt-email-group-admin --create 'Notify foo team' --group Foo
        rt-email-group-admin --create 'Notify foo team as comment' --comment --group Foo
        rt-email-group-admin --create 'Notify group Foo and Bar' --group Foo --group Bar
        rt-email-group-admin --create 'Notify user foo@bar.com' --user foo@bar.com
        rt-email-group-admin --create 'Notify VIPs' --user vip1@bar.com
        rt-email-group-admin --add 'Notify VIPs' --user vip2@bar.com --group vip1 --user vip3@foo.com
        rt-email-group-admin --rename 'Notify VIPs' --newname 'Inform VIPs'
        rt-email-group-admin --switch 'Notify VIPs'
        rt-email-group-admin --delete 'Notify user foo@bar.com'

# DESCRIPTION

This script list, create, modify or delete scrip actions in the RT DB. Once you've created an action you can use it in a scrip.

For example you can create the following action using this script:

        rt-email-group-admin --create 'Notify developers' --group 'Development Team'

Then you can add the following scrip to your Bugs queue:

        Condition: On Create
        Action:    Notify developers
        Template:  Transaction
        Stage:     TransactionCreate

Your development team will be notified on every new ticket in the queue.

# USAGE

rt-email-group-admin --COMMAND ARGS

# COMMANDS

## list

Lists actions and its descriptions.

## create NAME [--comment] [--group GNAME] [--user NAME-OR-EMAIL]

Creates new action with NAME and adds users and/or groups to its recipient list. Would be notify as comment if --comment specified. The user, if specified, will be autocreated if necessary.

## add NAME [--group GNAME] [--user NAME-OR-EMAIL]

Adds groups and/or users to recipients of the action NAME. The user, if specified, will be autocreated if necessary.

## delete NAME

Deletes action NAME if scrips doesn't use it.

## switch NAME

Switch action NAME from notify as correspondence to comment and back.

## rename NAME --newname NEWNAME

Renames action NAME to NEWNAME.

## NOTES

If command has option --group or --user then you can use it more then once, if other is not specified.

# AUTHOR

Ruslan U. Zakirov <ruz@bestpractical.com>

# SEE ALSO

RT::Action::NotifyGroup, RT::Action::NotifyGroupAsComment

← Back to index